Subject: Re: [PATCH] ath9k_htc: Add a missing spin_lock_init()

From: Kalle Valo <[email-masked]>
Date: Thu, 29 Jul 2021 10:40:47 +0300

Rajat Asthana <[email-masked]> writes:

>> Did you test this on a real device?
>
> No, I didn't test this on a real device. Syzkaller has a reproducer
> for this and I just relied on the fact that the reproducer did not
> reproduce the warning with this patch.

This is exactly what worries me with syzbot patches. People just try to
silence the warning and not thinking how it works on a real device.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches